---
title: Create a new Finetune
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[AI](https://developers.cloudflare.com/api/python/resources/ai)

[Finetunes](https://developers.cloudflare.com/api/python/resources/ai/subresources/finetunes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create a new Finetune

ai.finetunes.create(FinetuneCreateParams\*\*kwargs) -> [FinetuneCreateResponse](<https://developers.cloudflare.com/api/python/resources/ai#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/ai/finetunes

Creates a new fine-tuning job for a Workers AI model using custom training data.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers AI Write`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20ai.finetunes%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

model: str

[Link to this property](<#(resource)%20ai.finetunes%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20model%20%3E%20(schema)>)

name: str

[Link to this property](<#(resource)%20ai.finetunes%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

description: Optional\[str]

[Link to this property](<#(resource)%20ai.finetunes%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20description%20%3E%20(schema)>)

public: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/ai/subresources/finetunes/methods/create#(resource)%20ai.finetunes%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20public%20%3E%20(schema)>)]

[Link to this property](<#(resource)%20ai.finetunes%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20public%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class FinetuneCreateResponse: …

</summary>

id: str

formatuuid

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: datetime

formatdate-time

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

model: str

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20model">Link to this property</a>

modified\_at: datetime

formatdate-time

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

name: str

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

public: bool

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20public">Link to this property</a>

description: Optional\[str]

<a href="#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai.finetunes%20%3E%20(model)%20finetune_create_response%20%3E%20(schema)>)

### Create a new Finetune

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
finetune = client.ai.finetunes.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    model="model",
    name="name",
)
print(finetune.id)
```

200 example

```
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}
```